package com.sifang.modules.sys.util.insurance.form;

import com.sifang.modules.sys.common.global.Global;

/**
 * 台风区和非台风区的费率不同，最新规定是海南区域为台风区域。
 */
public class InsuranceConfig {

    private String channelCode;
    private String key;
    private String productPlan;
    private String productPlanTaifeng;


    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getProductPlan() {
        return productPlan;
    }

    public void setProductPlan(String productPlan) {
        this.productPlan = productPlan;
    }

    public static InsuranceConfig load() {
        InsuranceConfig ret = new InsuranceConfig();
        ret.setChannelCode(Global.getConfig("insurance.channelCode"));
        ret.setKey(Global.getConfig("insurance.key"));
        ret.setProductPlan(Global.getConfig("insurance.productPlan"));
        ret.setProductPlanTaifeng(Global.getConfig("insurance.productPlanTaifeng"));
        return ret;
    }

    public String getProductPlanTaifeng() {
        return productPlanTaifeng;
    }

    public void setProductPlanTaifeng(String productPlanTaifeng) {
        this.productPlanTaifeng = productPlanTaifeng;
    }
}
